<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Plik źródłowy shape.cpp</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.8.17 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',false,false,'search.php','Szukaj');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('db/d87/shape_8cpp_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">shape.cpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../db/d87/shape_8cpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="../../da/dad/shape_8hh.html">shape.hh</a>&quot;</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno"><a class="line" href="../../d7/da7/class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">    3</a></span>&#160;<a class="code" href="../../d7/da7/class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">Shape::Shape</a>() : angle{0} {</div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;}</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160; </div>
<div class="line"><a name="l00007"></a><span class="lineno"><a class="line" href="../../d7/da7/class_shape.html#a392923e3a75a0710056ca4770af77ddc">    7</a></span>&#160;<span class="keywordtype">double</span> <a class="code" href="../../d7/da7/class_shape.html#a392923e3a75a0710056ca4770af77ddc">Shape::makeRadians</a>(<span class="keywordtype">double</span> degree)<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;    <span class="keywordflow">return</span> degree * <a class="code" href="../../db/d1b/_matrix_8hh.html#a952eac791b596a61bba0a133a3bb439f">PI</a> / 180;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;}</div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="ashape_8hh_html"><div class="ttname"><a href="../../da/dad/shape_8hh.html">shape.hh</a></div></div>
<div class="ttc" id="aclass_shape_html_aaa8d87171e65e0d8ba3c5459978992a7"><div class="ttname"><a href="../../d7/da7/class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">Shape::Shape</a></div><div class="ttdeci">Shape()</div><div class="ttdoc">Konstruktor dla klasy Shape.</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d87/shape_8cpp_source.html#l00003">shape.cpp:3</a></div></div>
<div class="ttc" id="a_matrix_8hh_html_a952eac791b596a61bba0a133a3bb439f"><div class="ttname"><a href="../../db/d1b/_matrix_8hh.html#a952eac791b596a61bba0a133a3bb439f">PI</a></div><div class="ttdeci">const double PI</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d1b/_matrix_8hh_source.html#l00008">Matrix.hh:8</a></div></div>
<div class="ttc" id="aclass_shape_html_a392923e3a75a0710056ca4770af77ddc"><div class="ttname"><a href="../../d7/da7/class_shape.html#a392923e3a75a0710056ca4770af77ddc">Shape::makeRadians</a></div><div class="ttdeci">double makeRadians(double angle) const</div><div class="ttdoc">Przelicza stopnie na radiany.</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d87/shape_8cpp_source.html#l00007">shape.cpp:7</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="../../dir_f77a644fded742ea05ed17fa0fdf6fe1.html">src</a></li><li class="navelem"><a class="el" href="../../db/d87/shape_8cpp.html">shape.cpp</a></li>
    <li class="footer">Wygenerowano przez
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
